Subject: Re: niu driver - Transmit timed out - 2.6.29

From: Jesper Krogh <[email-masked]>
Date: Sat, 28 Mar 2009 08:25:41 +0100

Matheos Worku wrote:
> Jesper Krogh wrote:
>> Matheos Worku wrote:
>>>> This is probably the interesting part:
>>>> Mar 26 13:25:49 hest kernel: [25335.587191] niu 0000:84:00.0: niu: 
>>>> eth4: bits (40000000) of register RXDMA_CFIG1 would not clear, 
>>>> val[c0000000]
>>> Jesper,
>>>
>>> One of the RX  ring DMAs  is failing to reset. I guess whatever is 
>>> hanging the TX side is affecting the RX side as well. Can you do 
>>> lspci on the function  and its siblings?
>>
>> Like this(please guide me if that wasn't the correct lspci output):
> 
> Jesper,
> 
> I was wondering if you can get the register dump just after the NIC hangs.
> 
> lspci -vvv -xxx -s 84:0

I will try to do that, but it involves more or less "putting a known bad 
driver" in production. And wait X days. (where X usually is less than 7 
and more than 2). So if there is more debugging code that would be 
helpful to have in the driver/kernel then it would be preferrable to get 
it in at the same time, in order to reduce the amount of trial-and-error 
cycles.

-- 
Jesper